## ros-indigo-moveit-ros-planning 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_planning)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED system filesystem date_time program_options signals thread)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_perception
  cmake_modules
  pluginlib
  actionlib
  roscpp
  rosconsole
  dynamic_reconfigure
  message_filters
  srdfdom
  urdf
  tf
  tf_conversions
)
find_package(Eigen REQUIRED)

generate_dynamic_reconfigure_options(
  "planning_scene_monitor/cfg/PlanningSceneMonitorDynamicReconfigure.cfg"
  "trajectory_execution_manager/cfg/TrajectoryExecutionDynamicReconfigure.cfg"
  "plan_execution/cfg/PlanExecutionDynamicReconfigure.cfg"
  "plan_execution/cfg/SenseForPlanDynamicReconfigure.cfg")

set(THIS_PACKAGE_INCLUDE_DIRS
    rdf_loader/include
    kinematics_plugin_loader/include
    robot_model_loader/include
    constraint_sampler_manager_loader/include
    planning_pipeline/include
    planning_scene_monitor/include
    trajectory_execution_manager/include
    plan_execution/include
    collision_plugin_loader/include
)

catkin_package(
  LIBRARIES
    moveit_rdf_loader
    moveit_kinematics_plugin_loader
    moveit_robot_model_loader
    moveit_constraint_sampler_manager_loader
    moveit_planning_pipeline
    moveit_trajectory_execution_manager
    moveit_plan_execution
    moveit_planning_scene_monitor
    moveit_collision_plugin_loader
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  CATKIN_DEPENDS
    pluginlib
    moveit_core
    moveit_ros_perception
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
)
include_directories(SYSTEM
                    ${EIGEN_INCLUDE_DIRS}
)


link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(rdf_loader)
add_subdirectory(collision_plugin_loader)
add_subdirectory(kinematics_plugin_loader)
add_subdirectory(robot_model_loader)
add_subdirectory(constraint_sampler_manager_loader)
add_subdirectory(planning_pipeline)
add_subdirectory(planning_request_adapter_plugins)
add_subdirectory(planning_scene_monitor)
add_subdirectory(planning_components_tools)
add_subdirectory(trajectory_execution_manager)
add_subdirectory(plan_execution)

install(
  FILES
    planning_request_adapters_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== collision_plugin_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_collision_plugin_loader)

add_library(${MOVEIT_LIB_NAME} src/collision_plugin_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== constraint_sampler_manager_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_constraint_sampler_manager_loader)

add_library(${MOVEIT_LIB_NAME} src/constraint_sampler_manager_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== kinematics_plugin_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_kinematics_plugin_loader)

add_library(${MOVEIT_LIB_NAME} src/kinematics_plugin_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} moveit_rdf_loader ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== plan_execution/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_plan_execution)

add_library(${MOVEIT_LIB_NAME}
  src/plan_with_sensing.cpp
  src/plan_execution.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_planning_pipeline
  moveit_trajectory_execution_manager
  moveit_planning_scene_monitor
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  )

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== planning_components_tools/CMakeLists.txt ===

add_executable(moveit_print_planning_model_info src/print_planning_model_info.cpp)
target_link_libraries(moveit_print_planning_model_info moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_display_random_state src/display_random_state.cpp)
target_link_libraries(moveit_display_random_state moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_visualize_robot_collision_volume src/visualize_robot_collision_volume.cpp)
target_link_libraries(moveit_visualize_robot_collision_volume moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_evaluate_collision_checking_speed src/evaluate_collision_checking_speed.cpp)
target_link_libraries(moveit_evaluate_collision_checking_speed moveit_planning_scene_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_kinematics_speed_and_validity_evaluator src/kinematics_speed_and_validity_evaluator.cpp)
target_link_libraries(moveit_kinematics_speed_and_validity_evaluator moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_evaluate_state_operations_speed src/evaluate_state_operations_speed.cpp)
target_link_libraries(moveit_evaluate_state_operations_speed  moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_publish_scene_from_text src/publish_scene_from_text.cpp)
target_link_libraries(moveit_publish_scene_from_text moveit_planning_scene_monitor moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS
  moveit_print_planning_model_info
  moveit_display_random_state
  moveit_visualize_robot_collision_volume
  moveit_evaluate_collision_checking_speed
  moveit_evaluate_state_operations_speed
  moveit_kinematics_speed_and_validity_evaluator
  moveit_publish_scene_from_text
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== planning_pipeline/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_pipeline)

add_library(${MOVEIT_LIB_NAME} src/planning_pipeline.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== planning_request_adapter_plugins/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_default_planning_request_adapter_plugins)

set(SOURCE_FILES
  src/empty.cpp
  src/fix_start_state_bounds.cpp
  src/fix_start_state_collision.cpp
  src/fix_start_state_path_constraints.cpp
  src/fix_workspace_bounds.cpp
  src/add_time_parameterization.cpp)

add_library(${MOVEIT_LIB_NAME} ${SOURCE_FILES})
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_list_request_adapter_plugins src/list.cpp)
target_link_libraries(moveit_list_request_adapter_plugins ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} moveit_list_request_adapter_plugins
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== planning_scene_monitor/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_scene_monitor)

add_library(${MOVEIT_LIB_NAME}
  src/planning_scene_monitor.cpp
  src/current_state_monitor.cpp
  src/trajectory_monitor.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_robot_model_loader
  moveit_collision_plugin_loader
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})

add_executable(demo_scene demos/demo_scene.cpp)
target_link_libraries(demo_scene ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== rdf_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_rdf_loader)

add_library(${MOVEIT_LIB_NAME} src/rdf_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== robot_model_loader/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_robot_model_loader)

add_library(${MOVEIT_LIB_NAME} src/robot_model_loader.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} moveit_rdf_loader moveit_kinematics_plugin_loader ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== trajectory_execution_manager/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_trajectory_execution_manager)

add_library(${MOVEIT_LIB_NAME} src/trajectory_execution_manager.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} moveit_planning_scene_monitor moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${moveit_ros_planning_EXPORTED_TARGETS}) # don't build until necessary msgs are finish

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

add_library(test_controller_manager_plugin test/test_moveit_controller_manager_plugin.cpp)
set_target_properties(test_controller_manager_plugin PROPERTIES VERSION 0.7.3)
target_link_libraries(test_controller_manager_plugin ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(test_controller_manager test/test_app.cpp)
target_link_libraries(test_controller_manager ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== debian/changelog ===
ros-indigo-moveit-ros-planning (0.7.14-1trusty) trusty; urgency=high

  * [fix] fix race conditions when updating PlanningScene #350 <https://github.com/ros-planning/moveit/issues/350>
  * [improvement] skip non-actuated joints for trajectory execution (#753 <https://github.com/ros-planning/moveit/issues/753>)
  * [capability][revert] Revert "Improved IPTP by fitting a cubic spline (#382 <https://github.com/ros-planning/moveit/issues/382>)"
  * Contributors: Dave Coleman, Kei Okada, Michael Görner, Robert Haschke, Ryan Keating

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.13-1trusty) trusty; urgency=high

  * [fix] Avoid segfault when validating a multidof-only trajectory (#691 <https://github.com/ros-planning/moveit/issues/691>). Fixes #539 <https://github.com/ros-planning/moveit/issues/539>
  * [fix] find and link against tinyxml where needed (#569 <https://github.com/ros-planning/moveit/issues/569>)
  * [capability] Multi DOF Trajectory only providing translation not velocity (#555 <https://github.com/ros-planning/moveit/issues/555>)
  * Contributors: Isaac I.Y. Saito, Michael Görner, Mikael Arguedas, Troy Cordie

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.12-1trusty) trusty; urgency=high

  * [fix] Support for MultiDoF only trajectories #553 <https://github.com/ros-planning/moveit/pull/553>
  * Contributors: Cyrille Morin

 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.11-1trusty) trusty; urgency=high

  * [fix] Include callback of execution status if trajectory is invalid. (#524 <https://github.com/ros-planning/moveit/issues/524>)
  * Contributors: dougsm

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.10-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.9-1trusty) trusty; urgency=high

  * [fix] gcc6 build error (#471 <https://github.com/ros-planning/moveit/issues/471>, #458 <https://github.com/ros-planning/moveit/issues/458>)
  * [fix][moveit_ros_planning] undefined symbol in planning_scene_monitor (#463 <https://github.com/ros-planning/moveit/issues/463>)
  * Contributors: Dmitry Rozhkov, Ruben Burger

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [fix][moveit_ros_planning] Remove unnecessary dependency on Qt4
  * Contributors: Dave Coleman, Dmitry Rozhkov

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.7-1trusty) trusty; urgency=high

  * [maintenance] Use static_cast to cast to const. (#434 <https://github.com/ros-planning/moveit/issues/434>)
  * [enhancement] Improved IPTP by fitting a cubic spline (#382 <https://github.com/ros-planning/moveit/issues/382>)
  * Contributors: Dave Coleman, Maarten de Vries, Ruben Burger

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.6-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.5-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.4-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.3-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.2-1trusty) trusty; urgency=high

  * apply planning scene: use newly exposed success value of newPlanningSceneMessage
  * simplify newPlanningSceneMessage
  * monitor: make newPlanningSceneMessage public
    This is required for capabilities to update the planning scene.
    ABI-compatible.
  * Add library moveit_collision_plugin_loader as an exported catkin library (#677 <https://github.com/ros-planning/moveit_ros/issues/677>)
  * Contributors: Levi Armstrong, v4hn

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.1-1trusty) trusty; urgency=high

  * Adding acceleration scaling factor
  * Contributors: hemes

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * fixed segfault on shutdown
    use of pluginlib's createUnmanagedInstance() is strongly discouraged:
    http://wiki.ros.org/class_loader#Understanding_Loading_and_Unloading
    here, the kinematics plugin libs were unloaded before destruction of corresponding pointers
  * Deprecate shape_tools
  * CurrentStateMonitor no longer requires hearing mimic joint state values.
  * Fix crash due to robot state not getting updated (moveit_ros #559)
  * Contributors: Dave Coleman, Dave Hershberger, Robert Haschke, kohlbrecher

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * perception: adding RAII-based locking for OccMapTree
  * perception: adding locks to planning scene monitor
  * Add time factor support for iterative_time_parametrization
  * Contributors: Jonathan Bohren, Michael Ferguson, kohlbrecher

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.6.4-1trusty) trusty; urgency=high

  * Namespaced "traj_execution" for all trajectory_execution_manager logging


=== debian/control ===
Source: ros-indigo-moveit-ros-planning
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-pluginlib
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-dynamic-reconfigure, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-pluginlib
Description: Planning components of MoveIt that use ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-ros-planning//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
